* {
  margin: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Montserrat", sans-serif;
  background-color: #000000;
  color: white;
}

nav {
  height: 100px;
  width: 80%;
  margin: 0 auto;
}

nav ul {
  list-style-type: none;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-top: 20px;
  margin-left: 0;
  padding-left: 0;
}

nav ul li {
  margin-right: 30px;
}

nav ul li:first-child {
  margin-left: 0px;
}

nav ul li a {
  text-decoration: none;
  color: white;
  font-size: 20px;
}

nav ul li a:hover {
  color: #2dd4bf;
  transition: ease 0.3s;
}
#toggle-button img {
  display: none;
  width: 50px;
  position: absolute;
  top: 5px;
  right: 10px;
}
.hero {
  display: flex;
  justify-content: space-around;
  align-items: center;
  margin: 0 auto;
  width: 80%;
}

.main-heading {
  width: 100%;
}

.main-heading h2 {
  color: white;
  font-size: 50px;
}

.main-heading h2 span {
  color: #2dd4bf;
}

.main-heading h1 {
  color: white;
  font-size: 100px;
}
.main-heading h1 span {
  color: #2dd4bf;
}

.main-img-container {
  text-align: right;
  width: 100%;
}

.hero-img {
  margin-top: -140px;
  width: 500px;
  pointer-events: none;
}

#about {
  margin-top: 100px;
  width: 80%;
  margin-left: auto;
  margin-right: auto;
}

#about h2 {
  font-size: 70px;
  text-align: left;
}

#about h2 span {
  color: #2dd4bf;
}

.about-text-container {
  margin-top: 80px;
}

#about h4 {
  font-size: 20px;
  font-weight: 400;
  text-align: left;
  margin-top: 20px;
}

#technologies {
  margin-top: 100px;
  width: 80%;
  margin-left: auto;
  margin-right: auto;
}

#technologies h2 {
  font-size: 80px;
  text-align: left;
}
#technologies h2 span {
  color: #2dd4bf;
}

.technologies-text-container {
  display: flex;
  justify-content: flex-start;
  margin-top: 80px;
}

#technologies ul {
  list-style: none;
  padding-left: 0;
  margin-right: 100px;
}

#technologies ul li {
  font-size: 20px;
  margin-top: 20px;
}

#technologies li span img {
  width: 100px;
  margin-bottom: -5px;
}

#contact {
  margin-top: 100px;
  width: 80%;
  margin-left: auto;
  margin-right: auto;
}

#contact h2 {
  font-size: 80px;
  text-align: left;
}

#contact h2 span {
  color: #2dd4bf;
}

.contact-container {
  display: flex;
  justify-content: space-between;
}

.single-contact-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  width: 30%;
  height: 350px;
  margin: 80px 40px;
  margin-left: 0px;
  background-color: white;
  border-radius: 10px;
}

.single-contact-container:nth-child(3) {
  margin-right: 0px;
}

.single-contact-container img {
  display: block;
  width: 100px;
  margin: 10px auto;
}
.single-contact-container a {
  color: black;
  text-decoration: none;
  margin-bottom: 10px;
}
.single-contact-container a:hover {
  font-weight: 700;
  transition: ease 0.3s;
}

.single-contact-container img.email-img {
  margin-top: 20px;
  margin-bottom: 30px;
}

.single-contact-container img.github-img {
  width: 120px;
  margin-top: 0px;
  margin-bottom: 0px;
}

footer {
  display: flex;
  justify-content: space-between;
  width: 80%;
  margin: 0 auto;
  padding-bottom: 10px;
}

footer h5 {
  font-size: 20px;
  font-weight: 400;
  text-align: center;
}

footer a {
  display: block;
  font-size: 20px;
  font-weight: 400;
  text-align: right;
  text-decoration: none;
  color: white;
  cursor: pointer;
}

footer a:hover {
  color: #2dd4bf;
  transition: ease 0.3s;
}

@media screen and (min-device-width: 1200px) and (max-device-width: 1600px) and (-webkit-min-device-pixel-ratio: 1) {
  body {
    font-family: "Montserrat", sans-serif;
    background-color: #000000;
    color: white;
  }

  nav {
    height: 100px;
    width: 80%;
    margin: 0 auto;
  }

  nav ul {
    list-style-type: none;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-top: 20px;
    margin-left: 0;
    padding-left: 0;
  }

  nav ul li {
    margin-right: 30px;
  }

  nav ul li:first-child {
    margin-left: 0px;
  }

  nav ul li a {
    text-decoration: none;
    color: white;
    font-size: 20px;
  }

  nav ul li a:hover {
    color: #2dd4bf;
    transition: ease 0.3s;
  }
  #toggle-button img {
    display: none;
    width: 50px;
    position: absolute;
    top: 5px;
    right: 10px;
  }
  .hero {
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin: 0 auto;
    width: 80%;
  }

  .main-heading {
    width: 100%;
  }

  .main-heading h2 {
    color: white;
    font-size: 50px;
  }

  .main-heading h2 span {
    color: #2dd4bf;
  }

  .main-heading h1 {
    color: white;
    font-size: 100px;
  }
  .main-heading h1 span {
    color: #2dd4bf;
  }

  .main-img-container {
    text-align: right;
    width: 100%;
  }

  .hero-img {
    margin-top: -140px;
    width: 500px;
  }

  #about {
    margin-top: 100px;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
  }

  #about h2 {
    font-size: 70px;
    text-align: left;
  }

  #about h2 span {
    color: #2dd4bf;
  }

  .about-text-container {
    margin-top: 80px;
  }

  #about h4 {
    font-size: 20px;
    font-weight: 400;
    text-align: left;
    margin-top: 20px;
  }

  #technologies {
    margin-top: 100px;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
  }

  #technologies h2 {
    font-size: 80px;
    text-align: left;
  }
  #technologies h2 span {
    color: #2dd4bf;
  }

  .technologies-text-container {
    display: flex;
    justify-content: flex-start;
    margin-top: 80px;
  }

  #technologies ul {
    list-style: none;
    padding-left: 0;
    margin-right: 100px;
  }

  #technologies li span img {
    width: 60px;
    margin-bottom: -5px;
  }

  #contact {
    margin-top: 100px;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
  }

  #contact h2 {
    font-size: 80px;
    text-align: left;
  }

  #contact h2 span {
    color: #2dd4bf;
  }

  .contact-container {
    display: flex;
    justify-content: space-between;
  }

  .single-contact-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    width: 30%;
    height: 350px;
    margin: 80px 40px;
    margin-left: 0px;
    background-color: white;
    border-radius: 10px;
  }

  .single-contact-container:nth-child(3) {
    margin-right: 0px;
  }

  .single-contact-container img {
    display: block;
    width: 100px;

    margin: 10px auto;
  }
  .single-contact-container a {
    color: black;
    text-decoration: none;
    margin-bottom: 10px;
  }
  .single-contact-container a:hover {
    font-weight: 700;
    transition: ease 0.3s;
  }

  .single-contact-container img.email-img {
    margin-top: 20px;
    margin-bottom: 30px;
  }

  .single-contact-container img.github-img {
    width: 120px;
    margin-top: 0px;
    margin-bottom: 0px;
  }

  footer {
    display: flex;
    justify-content: space-between;
    width: 80%;
    margin: 0 auto;
    padding-bottom: 10px;
  }

  footer h5 {
    font-size: 20px;
    font-weight: 400;
    text-align: center;
  }

  footer a {
    display: block;
    font-size: 20px;
    font-weight: 400;
    text-align: right;
    text-decoration: none;
    color: white;
    cursor: pointer;
  }

  footer a:hover {
    color: #2dd4bf;
    transition: ease 0.3s;
  }
}

@media screen and (min-device-width: 1200px) and (max-device-width: 1600px) and (-webkit-min-device-pixel-ratio: 2) and (min-resolution: 192dpi) {
  body {
    font-family: "Montserrat", sans-serif;
    background-color: #000000;
    color: white;
  }

  nav {
    height: 100px;
    width: 80%;
    margin: 0 auto;
  }

  nav ul {
    list-style-type: none;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-top: 20px;
    margin-left: 0;
    padding-left: 0;
  }

  nav ul li {
    margin-right: 30px;
  }

  nav ul li:first-child {
    margin-left: 0px;
  }

  nav ul li a {
    text-decoration: none;
    color: white;
    font-size: 20px;
  }

  nav ul li a:hover {
    color: #2dd4bf;
    transition: ease 0.3s;
  }
  #toggle-button img {
    display: none;
    width: 50px;
    position: absolute;
    top: 5px;
    right: 10px;
  }
  .hero {
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin: 0 auto;
    width: 80%;
  }

  .main-heading {
    width: 100%;
  }

  .main-heading h2 {
    color: white;
    font-size: 50px;
  }

  .main-heading h2 span {
    color: #2dd4bf;
  }

  .main-heading h1 {
    color: white;
    font-size: 100px;
  }
  .main-heading h1 span {
    color: #2dd4bf;
  }

  .main-img-container {
    text-align: right;
    width: 100%;
  }

  .hero-img {
    margin-top: -140px;
    width: 500px;
  }

  #about {
    margin-top: 100px;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
  }

  #about h2 {
    font-size: 70px;
    text-align: left;
  }

  #about h2 span {
    color: #2dd4bf;
  }

  .about-text-container {
    margin-top: 80px;
  }

  #about h4 {
    font-size: 20px;
    font-weight: 400;
    text-align: left;
    margin-top: 20px;
  }

  #technologies {
    margin-top: 100px;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
  }

  #technologies h2 {
    font-size: 80px;
    text-align: left;
  }
  #technologies h2 span {
    color: #2dd4bf;
  }

  .technologies-text-container {
    display: flex;
    justify-content: flex-start;
    margin-top: 80px;
  }

  #technologies ul {
    list-style: none;
    padding-left: 0;
    margin-right: 100px;
  }

  #technologies li span img {
    width: 40px;
    margin-bottom: -5px;
  }

  #contact {
    margin-top: 100px;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
  }

  #contact h2 {
    font-size: 80px;
    text-align: left;
  }

  #contact h2 span {
    color: #2dd4bf;
  }

  .contact-container {
    display: flex;
    justify-content: space-between;
  }

  .single-contact-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    width: 30%;
    height: 350px;
    margin: 80px 40px;
    margin-left: 0px;
    background-color: white;
    border-radius: 10px;
  }

  .single-contact-container:nth-child(3) {
    margin-right: 0px;
  }

  .single-contact-container img {
    display: block;
    width: 100px;

    margin: 10px auto;
  }
  .single-contact-container a {
    color: black;
    text-decoration: none;
    margin-bottom: 10px;
  }
  .single-contact-container a:hover {
    font-weight: 700;
    transition: ease 0.3s;
  }

  .single-contact-container img.email-img {
    margin-top: 20px;
    margin-bottom: 30px;
  }

  .single-contact-container img.github-img {
    width: 120px;
    margin-top: 0px;
    margin-bottom: 0px;
  }

  footer {
    display: flex;
    justify-content: space-between;
    width: 80%;
    margin: 0 auto;
    padding-bottom: 10px;
  }

  footer h5 {
    font-size: 20px;
    font-weight: 400;
    text-align: center;
  }

  footer a {
    display: block;
    font-size: 20px;
    font-weight: 400;
    text-align: right;
    text-decoration: none;
    color: white;
    cursor: pointer;
  }

  footer a:hover {
    color: #2dd4bf;
    transition: ease 0.3s;
  }
}

@media only screen and (min-width: 768px) and (max-width: 1024px) {
  .hero-img {
    margin-left: auto;
    margin-right: auto;

    margin-top: -100px;

    width: 350px;
  }
  .main-heading h2 {
    color: white;
    font-size: 30px;
  }

  .main-heading h1 {
    color: white;
    font-size: 70px;
  }
  #about h2 {
    font-size: 48px;
    text-align: left;
  }

  #about h4 {
    font-size: 20px;
  }

  #technologies h2 {
    font-size: 48px;
  }
  #technologies li span img {
    width: 35px;
    margin-bottom: -5px;
  }
  #contact h2 {
    font-size: 48px;
    text-align: left;
  }

  .contact-container {
    display: block;
  }

  .single-contact-container {
    width: 100%;
    height: 100px;
  }
  .single-contact-container img {
    display: block;
    width: 50px;
    margin: 10px auto;
  }
  .single-contact-container img.github-img {
    width: 60px;
  }

  .single-contact-container img.email-img {
    margin-top: 20px;
    margin-bottom: 10px;
  }
  footer {
    padding-bottom: 15px;
  }

  footer h5 {
    font-size: 18px;
  }
  footer a {
    font-size: 18px;
  }
}

@media only screen and (max-width: 767px) {
  nav {
    display: none;
  }

  .hero {
    display: flex;
    flex-direction: column;
  }
  .main-heading h2 {
    color: white;
    font-size: 30px;
  }

  .main-heading h1 {
    color: white;
    font-size: 70px;
  }

  .main-heading {
    margin-top: 30px;
    order: 2;
  }
  .main-img-container {
    display: none;
  }
  .main-img {
    order: 1;
  }
  .hero-img {
    margin-left: auto;
    margin-right: auto;
    margin-top: -220px;
    width: 280px;
  }

  #about h2 {
    font-size: 40px;
    text-align: left;
  }

  #about h4 {
    font-size: 16px;
  }

  #technologies h2 {
    font-size: 40px;
  }
  #technologies ul {
    margin-right: 50px;
  }

  #technologies li span img {
    width: 20px;
    margin-bottom: -5px;
  }

  #contact h2 {
    font-size: 40px;
    text-align: center;
  }
  .contact-container {
    display: block;
  }

  .single-contact-container {
    width: 100%;
    height: 100px;
  }
  .single-contact-container img {
    display: block;
    width: 30px;
    margin: 10px auto;
  }
  .single-contact-container img.github-img {
    width: 50px;
  }

  footer {
    padding-bottom: 15px;
  }

  footer h5 {
    font-size: 14px;
  }
  footer a {
    font-size: 14px;
  }
}
